### Method

# GLib Checksum get_digest

since: 2.16

#### Declaration [src]

    void
    g_checksum_get_digest (
      GChecksum* checksum,
      guint8* buffer,
      gsize* digest_len
    )

#### Description [src]

Gets the digest from `checksum` as a raw binary vector and places it into `buffer`. The size of the digest depends on the type of checksum.

Once this function has been called, the `GChecksum` is closed and can no longer be updated with g_checksum_update().

Available since: 2.16

This method is not directly available to language bindings.

#### Parameters

`buffer`

  Type: An array of `guint8`

  Output buffer.

  The length of the array is specified in the `digest_len` argument.
  The data is owned by the caller of the method.

`digest_len`

  Type: `gsize*`

  An inout parameter. The caller initializes it to the size of `buffer`. After the call it contains the length of the digest.

  The argument will be modified by the function.